/*
 * ChartDescriptor.java
 *
 * Created on 9 luglio 2005, 0.27
 *
 * To change this template, choose Tools | Options and locate the template under
 * the Source Creation and Management node. Right-click the template and choose
 * Open. You can then make changes to the template in the Source Editor.
 */

package it.businesslogic.ireport.chart;

/**
 *
 * @author Administrator
 */
public class ChartDescriptor {
    
    private javax.swing.ImageIcon icon;
    private String chartKeyName = "";
    private String implementationClass = "";
    
    /** Creates a new instance of ChartDescriptor */
    public ChartDescriptor(String iconName, String chartKeyName, String implementationClass) {
        
        setIcon(new javax.swing.ImageIcon( getClass().getResource(iconName) ));
        this.setChartKeyName(chartKeyName);
        this.setImplementationClass(implementationClass);
    }

    public javax.swing.ImageIcon getIcon() {
        return icon;
    }

    public void setIcon(javax.swing.ImageIcon icon) {
        this.icon = icon;
    }

    public String getChartKeyName() {
        return chartKeyName;
    }

    public void setChartKeyName(String chartKeyName) {
        this.chartKeyName = chartKeyName;
    }

    public String getImplementationClass() {
        return implementationClass;
    }

    public void setImplementationClass(String implementationClass) {
        this.implementationClass = implementationClass;
    }
    
    public String getName()
    {
        return it.businesslogic.ireport.util.I18n.getString(getChartKeyName(),getChartKeyName());
    }
    
    
}
